# PetscDrawAxisSetHoldLimits

Causes an axis to keep the same limits until this is called again

### Synopsis

    #include "petsc.h"
    PetscErrorCode PETSC_DLLEXPORT PetscDrawAxisSetHoldLimits(PetscDrawAxis axis,PetscTruth hold)

Not Collective (ignored on all processors except processor 0 of PetscDrawAxis)

### Input Parameters

| axis | - the axis
| hold | - PETSC_TRUE - hold current limits, PETSC_FALSE allow limits to be changed

### Notes

Once this has been called with PETSC_TRUE the limits will not change if you call PetscDrawAxisSetLimits() until you call this with PETSC_FALSE

### See Also

PetscDrawAxisSetLimits()

Level:advanced
Location: src/sys/draw/utils/axis.c
Index of all Draw routines
Table of Contents for all manual pages
Index of all manual pages